<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Collapsible Side Menu</title>
<link rel="stylesheet" href="styles.css">
</head>
<body>

<div class="sidebar">
  <div class="toggle-btn" onclick="toggleMenu()">
    <span></span>
    <span></span>
    <span></span>
  </div>
  <ul class="menu">
    <li><a href="#">Home</a></li>
    <li><a href="#">About</a></li>
    <li><a href="#">Services</a></li>
    <li><a href="#">Contact</a></li>
  </ul>
</div>

<div class="content">
  <h2>Content Area</h2>
  <p>This is the main content area.</p>
</div>

<script>
function toggleMenu() {
  var sidebar = document.querySelector('.sidebar');
  var content = document.querySelector('.content');
  var menuItems = document.querySelectorAll('.menu li');
  var toggleBtn = document.querySelector('.toggle-btn');

  sidebar.classList.toggle('collapsed');
  content.classList.toggle('collapsed');

  menuItems.forEach(item => {
    item.classList.toggle('collapsed');
  });

  toggleBtn.classList.toggle('collapsed');
}
</script>
</body>
</html>

